Update a valuation Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/valuations/{uuid}

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
  • uuid string Required
application/json

Body

  • value integer Required

    Money value of the valuation as an integer eg 4000 = £40.00

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • valued_at string

      Valued at

    • value object

      Valuation

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • sub_account object

      Sub account of the valuations when loaded

      Hide sub_account attributes Show sub_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • policy_number string
      • latest_valuation object
        Hide latest_valuation attributes Show latest_valuation attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • valued_at

          Valued at

        • value

          Valuation

      • is_main_account boolean
      • active_portfolio object
        Hide active_portfolio attributes Show active_portfolio attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • is_proposed

          Denotes if the portfolio is proposed

        • proposed_at

          The date the portfolio was proposed.

        • name

          The name of the portfolio.

      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
  • 409 application/json

    Plan is being deleted

    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • valued_at string

      Valued at

    • value object

      Valuation

      Hide value attributes Show value attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • sub_account object

      Sub account of the valuations when loaded

      Hide sub_account attributes Show sub_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • policy_number string
      • latest_valuation object
        Hide latest_valuation attributes Show latest_valuation attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • valued_at

          Valued at

        • value

          Valuation

      • is_main_account boolean
      • active_portfolio object
        Hide active_portfolio attributes Show active_portfolio attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • is_proposed

          Denotes if the portfolio is proposed

        • proposed_at

          The date the portfolio was proposed.

        • name

          The name of the portfolio.

      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
PUT /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/valuations/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/valuations/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"value":4000}'
Request examples
{
  "value": 4000
}
Response examples (200)
{
  "uuid": "5917fdcf-ffbe-42dd-abe2-4c2e3d72587c",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "valued_at": "2026-07-17T15:25:30+01:00",
  "value": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "sub_account": {
    "uuid": "9eee2f02-1bdb-4785-b8ef-1a8ed43eedfd",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "John's ISA",
    "policy_number": "AVI-4837",
    "latest_valuation": {
      "uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "valued_at": "2026-07-17T15:25:36+01:00",
      "value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      }
    },
    "is_main_account": false,
    "active_portfolio": {
      "uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "is_proposed": true,
      "proposed_at": "2026-07-17T00:00:00+01:00",
      "name": "Risky Portfolio"
    },
    "statistics": {
      "recent_growth": 100
    }
  }
}
Response examples (409)
{
  "uuid": "5917fdcf-ffbe-42dd-abe2-4c2e3d72587c",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "valued_at": "2026-07-17T15:25:30+01:00",
  "value": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "sub_account": {
    "uuid": "9eee2f02-1bdb-4785-b8ef-1a8ed43eedfd",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "John's ISA",
    "policy_number": "AVI-4837",
    "latest_valuation": {
      "uuid": "8ee31a7c-45ea-4249-891f-dd9aa7d3e01d",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "valued_at": "2026-07-17T15:25:36+01:00",
      "value": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      }
    },
    "is_main_account": false,
    "active_portfolio": {
      "uuid": "30b9cd34-c410-4e2d-86b2-f4eb75723795",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "is_proposed": true,
      "proposed_at": "2026-07-17T00:00:00+01:00",
      "name": "Risky Portfolio"
    },
    "statistics": {
      "recent_growth": 100
    }
  }
}